Bug 834835 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'write' accesses on the directory /home/trevor/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/#s.ytimg.com.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'write' ac...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:0140f923951f9627bcbe2d891e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 02:34 EDT by trevor
Modified: 2012-06-25 04:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 04:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description trevor 2012-06-24 02:34:06 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.x86_64
time:           Sun 24 Jun 2012 16:33:35 EST

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'write' accesses on the directory /home/trevor/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/#s.ytimg.com.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/home/trevor/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/#s.ytimg.com default label should be mozilla_home_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /home/trevor/.macromedia/Flash_Player/macromedia.com/support/flashplayer/sys/#s.ytimg.com
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed write access on the #s.ytimg.com directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:home_root_t:s0
:Target Objects                /home/trevor/.macromedia/Flash_Player/macromedia.c
:                              om/support/flashplayer/sys/#s.ytimg.com [ dir ]
:Source                        plugin-containe
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-13.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.x86_64 #1
:                              SMP Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64
:Alert Count                   55
:First Seen                    Sat 23 Jun 2012 16:57:54 EST
:Last Seen                     Sun 24 Jun 2012 11:45:37 EST
:Local ID                      70ef5ae1-f085-49f2-9bca-e4c2fb671921
:
:Raw Audit Messages
:type=AVC msg=audit(1340502337.584:451): avc:  denied  { write } for  pid=7962 comm="plugin-containe" name="#s.ytimg.com" dev="sda5" ino=1962669 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1340502337.584:451): arch=x86_64 syscall=open success=no exit=EACCES a0=7f510b48d1e0 a1=442 a2=1b6 a3=ffffff00 items=0 ppid=7806 pid=7962 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=9 comm=plugin-containe exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-containe,mozilla_plugin_t,home_root_t,dir,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-25 04:09:21 EDT
This is mislabeled file. Please execute

# restorecon -R -v /home/trevor/.macromedia

to fix labeling.

Note You need to log in before you can comment on or make changes to this bug.